Subject: [media-types] application/openid-connect-porting

From: "Manger, James" <[email-masked]>
Date: Mon, 14 Nov 2016 05:34:21 +0000

Hi media-type team,

I would like to register application/openid-connect-porting to unambiguously identify the semantics of a message involved when a user changes identity providers. It is being specified in the OpenID Connect Account Porting<https://id.cto.telstra.com/2016/openid/draft-account-porting.html> specification being developed in the OpenID Foundation (MODRNA working group)<http://openid.net/wg/mobile/>. The media type will be used for messages in the JSON Web Encryption (JWE) compact serialization format [RFC7516 JWE<https://tools.ietf.org/html/rfc7516>]. The media type goes in the "typ" member of the JSON header part of a message [see §4.1.11 "typ (Type) Header Parameter of RFC7516, which refers to §4.1.9 of RFC7515 JWS<https://tools.ietf.org/html/rfc7515#section-4.1.9>].

>From the draft spec<https://id.cto.telstra.com/2016/openid/draft-account-porting.html#rfc.section.9>:

This document registers the "application/openid-connect-porting" media type in the IANA "Media Types" registry [IANA.MEDIA]. It identifies a JSON Web Encryption (JWE) compact serialization that is the encryption of a port token.

Type name: application
Subtype name: openid-connect-porting
Required parameters: N/A
Optional parameters: N/A
Encoding considerations: 7bit
Security considerations: see [RFC7516]
Interoperability considerations: N/A
Published specification: Section 4.1 of [[ this specification<https://id.cto.telstra.com/2016/openid/draft-account-porting.html> ]]
Applications that use this media type: OpenID Connect
Fragment identifier considerations: N/A
Additional information: N/A
Intended usage: COMMON
Restrictions on usage: N/A
Change controller: OpenID Foundation

I assume it is better not to list an individual as the contact when the definition/registration comes from a spec from a standards body, but in case an individual's details are required I have included mine below.

Contact name: James Manger
Contact email address: [email-masked]

I hope the OpenID Foundation is a "recognised standards-related organization" for media type registrations. Can anyone confirm?

After responding to any feedback triggered by this email, I will submit media type via the IANA web form.

--
James Manger